package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.RutaEmbarqueDesembarqueDAO;
import com.rjconsultores.ventaboletos.entidad.Ruta;
import com.rjconsultores.ventaboletos.entidad.RutaEmbarqueDesembarque;

@Repository("rutaEmbarqueDesembarqueHibernateDAO")
public class RutaEmbarqueDesembarqueHibernateDAO extends GenericHibernateDAO<RutaEmbarqueDesembarque, Integer> implements RutaEmbarqueDesembarqueDAO {

    @Autowired
    public RutaEmbarqueDesembarqueHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

	@SuppressWarnings("unchecked")
	@Override
	public List<RutaEmbarqueDesembarque> obtenerPorRuta(Ruta ruta) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.eq("ruta", ruta));
        return c.list();
	}

}
